Subject: CRH Draft Updates - Renaming the SID

From: Ron Bonica <[email-masked]>
Date: Tue, 26 May 2020 21:24:34 +0000

Folks,

During the call for adoption, Brian Carpenter suggested that CRH should not use the term "SID", because SRv6 already uses it.

A agree that CRH should use another term. We considered:

  *   CRH-FIB-ID
  *   Compact Routing Segment ID (CR-SID)
  *   Compact Routing ID (CRID)
  *   Forwarding Identifier Destination Object ?? (FIDO)

Does anybody have a strong preference for one or the other?

                                                               Ron

Juniper Business Use Only

---

From: Sander Steffann <[email-masked]>
Date: Tue, 26 May 2020 23:40:42 +0200

Hi,

> 	• CRH-FIB-ID
> 	• Compact Routing Segment ID (CR-SID)
> 	• Compact Routing ID (CRID)
> 	• Forwarding Identifier Destination Object ?? (FIDO)
> 

CRH-FIB-ID is a bit verbose
CR-SID can still cause confusion *
CRID is short and clear
FIDO is the cutest :)

I'd go for CRID.

Cheers,
Sander

[*] SRv6 seems to be developing uSID, G-SID etc, so I would avoid anything containing "SID"

---

From: Mark Smith <[email-masked]>
Date: Wed, 27 May 2020 07:52:22 +1000

On Wed, 27 May 2020 at 07:25, Ron Bonica
<rbonica=[email-masked]> wrote:
>
> Folks,
>
>
>
> During the call for adoption, Brian Carpenter suggested that CRH should not use the term “SID”, because SRv6 already uses it.
>
>
>
> CRH-FIB-ID
> Compact Routing Segment ID (CR-SID)
> Compact Routing ID (CRID)
> Forwarding Identifier Destination Object ?? (FIDO)
>
>
>

I think I suggested CR-SID, however I think I prefer CRID (I'd
pronounce it "CR-ID").

I find the use of the term "segment" actually a bit inaccurate. In an
RH, they're addresses to visit, which is how the original SIP spec
(RFC 8507) referred to them.

In terms of a "segment" being a span of an IPv6 path, then the RH
Segment IDs are actually segment end-point identifiers and
specifically, per RFC4291, IPv6 addresses assigned to an interface at
the segment end-point.

I think of a span identifier as something that identifies the span
that is not tied to one or the other ends of it, much like a Frame
Relay DLCI or an ATM VPI/VCI. So the term Segment Identifier to me
sounds like something that isn't and can't be an IPv6 address, because
IPv6 addresses are assigned to interfaces, which can only be
identifying the start point or end point interfaces of a span or
segment of a path.

Regards,
Mark.

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 27 May 2020 10:45:42 +1200

CRID please (short and distinctive).

Regards
   Brian

---

From: Ron Bonica <[email-masked]>
Date: Tue, 26 May 2020 22:50:48 +0000

CRID sounds good to me!

-----Original Message-----
From: Brian E Carpenter <[email-masked]> 
Sent: Tuesday, May 26, 2020 6:46 PM
To: Ron Bonica <[email-masked]>; 6man <[email-masked]>
Subject: Re: CRH Draft Updates - Renaming the SID

[External Email. Be cautious of content]

Regards
   Brian

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 26 May 2020 18:53:19 -0400

Good point by Brian to not use SID nomenclature anywhere.

+1

CR-ID

On Tue, May 26, 2020 at 6:46 PM Brian E Carpenter <
[email-masked]> wrote:

> > During the call for adoption, Brian Carpenter suggested that CRH should
> not use the term “SID”, because SRv6 already uses it.
> >
> >
> >
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*M 301 502-134713101 Columbia Pike *Silver Spring, MD

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 26 May 2020 18:54:23 -0400

+1 for CRID

*Gyan Mishra*

---

From: John Scudder <[email-masked]>
Date: Tue, 26 May 2020 23:57:32 +0000

The CRID crud is good, bud.

—John

> On May 26, 2020, at 6:51 PM, Ron Bonica <rbonica=[email-masked]> wrote:
> 
> Administrative Requests: https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/ipv6__;!!NEt6yMaO-gk!VPHwVjc3wXWKb2eCDC8WCNdMDxGCtMpPHmxpCjEtr9nIT5VkQB_PfGvkiklT7g$

---

From: tom petch <[email-masked]>
Date: Wed, 27 May 2020 15:48:32 +0000

From: ipv6 <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Sent: 26 May 2020 22:24

Folks,

  *   CRH-FIB-ID

Does anybody have a strong preference for one or the other?
<tp>
None of the above.  CRH-FIB-ID is too long, FIDO has been used too many times elsewhere, CR-SID invites association with other uses of SID in routing and elsewhere.
CRID is the least bad but is close to CRUD, especially in lower case.
CORD ?
CORID?
CORS?
CORH?
CORCH?
tom petch

                                                               Ron

---

From: Mark Smith <[email-masked]>
Date: Thu, 28 May 2020 07:27:24 +1000

On Thu, 28 May 2020, 01:49 tom petch, <[email-masked]> wrote:

> None of the above.  CRH-FIB-ID is too long, FIDO has been used too many
> times elsewhere, CR-SID invites association with other uses of SID in
> routing and elsewhere.

I don't think that matters that much. I'd value acronym accuracy over the
possibility of distorting it to use it for criticism.

There are two types of people who could do this distortion, those with
legitimate complaints, and those being childish.

You mitigate the first by good design and engineering.

The second aren't really worth worrying too much about, because having a
less distortable acronym won't stop them being childish.

I think CRID does have a small ambiguity problem, is it Compact Router
Identifier or Compact Routing Identifier? Even though I know it is the
latter, I'm finding I'm thinking of it as the former because I'm imagining
it as identifying path hops, which I tend to imagine as physical routers.

Is there either a more abstract term we can use instead of Routing, to save
confusion with Router, or a more practical and less abstract term to use to
ensure it is clear it is identifying a hop or forwarding point?

CFID - Compact Forwarding Identifier?

CNID - Compact Node Identifer? (I've also discovered that hosts can process
RHs apparently, so Node would match what is the RFC 8200 term for an IPv6
capable host or router)

CHID - Compact Hop Identifier?

Regards,
Mark.

CORD ?

---

From: John Scudder <[email-masked]>
Date: Wed, 27 May 2020 21:35:14 +0000

On May 27, 2020, at 5:27 PM, Mark Smith <[email-masked]<mailto:[email-masked]>> wrote:

CNID - Compact Node Identifer? (I've also discovered that hosts can process RHs apparently, so Node would match what is the RFC 8200 term for an IPv6 capable host or router)

The collision with Calling Number Identifier (voice telephony) would be a little unfortunate.

—John

---

From: Mark Smith <[email-masked]>
Date: Thu, 28 May 2020 07:49:10 +1000

On Thu, 28 May 2020 at 07:35, John Scudder <[email-masked]> wrote:
>
> On May 27, 2020, at 5:27 PM, Mark Smith <[email-masked]> wrote:
>
>

Back in the 1990s Cisco used to publish a networking acronyms book.
>From memory, there were 3 versions of "SAP": - Novell Service
Advertising Protocol, ISO Service Access Point and something else I
can't remember.

I think TLA and FLA collisions are almost inevitable these days, so as
long as the contexts of use are different enough it's tolerable.
Avoidable would be preferred of course

Regards,
Mark..

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 27 May 2020 23:27:38 +0100

> Avoidable would be preferred of course

Someone should write an RFC about that.

---

From: Ron Bonica <[email-masked]>
Date: Thu, 28 May 2020 00:59:24 +0000

Mark,

You have a point. CRID is too close to CRUD. CFID sounds good.

Does anyone object?

                              Ron

Juniper Business Use Only
From: Mark Smith <[email-masked]>
Sent: Wednesday, May 27, 2020 5:27 PM
To: tom petch <[email-masked]>
Cc: Ron Bonica <[email-masked]>; 6man <[email-masked]>; Brian E Carpenter <[email-masked]>
Subject: Re: CRH Draft Updates - Renaming the SID

On Thu, 28 May 2020, 01:49 tom petch, <[email-masked]<mailto:[email-masked]>> wrote:
From: ipv6 <[email-masked]<mailto:[email-masked]>> on behalf of Ron Bonica <rbonica=[email-masked]<mailto:[email-masked]>>
Sent: 26 May 2020 22:24

Folks,

  *   CRH-FIB-ID

I don't think that matters that much. I'd value acronym accuracy over the possibility of distorting it to use it for criticism.

There are two types of people who could do this distortion, those with legitimate complaints, and those being childish.

The second aren't really worth worrying too much about, because having a less distortable acronym won't stop them being childish.

I think CRID does have a small ambiguity problem, is it Compact Router Identifier or Compact Routing Identifier? Even though I know it is the latter, I'm finding I'm thinking of it as the former because I'm imagining it as identifying path hops, which I tend to imagine as physical routers.

Is there either a more abstract term we can use instead of Routing, to save confusion with Router, or a more practical and less abstract term to use to ensure it is clear it is identifying a hop or forwarding point?

Regards,
Mark.

CORD ?
CORID?
CORS?
CORH?
CORCH?
tom petch

                                                               Ron

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/ipv6__;!!NEt6yMaO-gk!V2lt3rUGsR8GR1uJLAT-mDkYogl-7ZY6if14mSa2fpCrfvv6NbLFrqsqqqwIEhwy$>
--------------------------------------------------------------------

---

From: Mark Smith <[email-masked]>
Date: Thu, 28 May 2020 17:11:42 +1000

Hi Ron,

> You have a point. CRID is too close to CRUD. CFID sounds good.

I'm fine with CFID, I think it's abstract enough while still describing
what it is.

Regards,
Mark.

> *From:* Mark Smith <[email-masked]>
> *Sent:* Wednesday, May 27, 2020 5:27 PM
> *To:* tom petch <[email-masked]>
> *Cc:* Ron Bonica <[email-masked]>; 6man <[email-masked]>; Brian E
> Carpenter <[email-masked]>
> *Subject:* Re: CRH Draft Updates - Renaming the SID
>
>
>
> *[External Email. Be cautious of content]*
>
>
>
>
>
> Is there either a more abstract term we can use instead of Routing, to
> save confusion with Router, or a more practical and less abstract term to
> use to ensure it is clear it is identifying a hop or forwarding point?
>
>
>
> CNID - Compact Node Identifer? (I've also discovered that hosts can
> process RHs apparently, so Node would match what is the RFC 8200 term for
> an IPv6 capable host or router)
>
>
>
> <https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/ipv6__;!!NEt6yMaO-gk!V2lt3rUGsR8GR1uJLAT-mDkYogl-7ZY6if14mSa2fpCrfvv6NbLFrqsqqqwIEhwy$>

---

From: tom petch <[email-masked]>
Date: Thu, 28 May 2020 08:51:20 +0000

Sent: 27 May 2020 22:27

Folks,

  *   CRH-FIB-ID

<tp2>
I got an off list suggestion with permission to forward it to the list of
Mapping ID

Tom Petch

Regards,
Mark.

CORD ?
CORID?
CORS?
CORH?
CORCH?
tom petch

                                                               Ron

---

From: Ron Bonica <[email-masked]>
Date: Thu, 28 May 2020 13:13:00 +0000

MID? That works for me.

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: Thursday, May 28, 2020 4:51 AM
To: Mark Smith <[email-masked]>
Cc: Ron Bonica <[email-masked]>; 6man <[email-masked]>; Brian E Carpenter <[email-masked]>
Subject: Re: CRH Draft Updates - Renaming the SID

Folks,

  *   CRH-FIB-ID

<tp2>
I got an off list suggestion with permission to forward it to the list of Mapping ID

Tom Petch

Regards,
Mark.

CORD ?
CORID?
CORS?
CORH?
CORCH?
tom petch

                                                               Ron

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/ipv6__;!!NEt6yMaO-gk!S9dc6_1H51VIYEXBYU23oqPiwIP1v10AL9gea9xeBA6ZEP0-ODd_bnQS6-lZue4e$
--------------------------------------------------------------------